apt 3.2.0 commandline package manager

Public Member Functions | Public Attributes | List of all members
VersionDepends Struct Reference
Inheritance diagram for VersionDepends:

## Public Member Functions
| VersionDepends (std::unique_ptr< APT::CacheFilter::Matcher > base, pkgCache::Dep::DepType type=pkgCache::Dep::Depends)
bool | operator() (pkgCache::GrpIterator const &) override
bool | operator() (pkgCache::VerIterator const &Ver) override
Public Member Functions inherited from VersionAnyMatcher
bool | operator() (pkgCache::PkgIterator const &Pkg) override

## Public Attributes
std::unique_ptr< APT::CacheFilter::Matcher > | base
pkgCache::Dep::DepType | type

## Member Function Documentation

## ◆ operator()() [1/2]

bool operator() | ( | pkgCache::GrpIterator const & |  | ) |
| inline override virtual

Reimplemented from VersionAnyMatcher.

## ◆ operator()() [2/2]

bool operator() | ( | pkgCache::VerIterator const & | Ver | ) |
| inline override virtual

Implements VersionAnyMatcher.

The documentation for this struct was generated from the following file:

- apt-pkg/cachefilter-patterns.h